Bug 1203801 - Review Request: osbs - Python module and command line client for OpenShift Build Service
Summary: Review Request: osbs - Python module and command line client for OpenShift B...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Tomecek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1273883
TreeView+ depends on / blocked
 
Reported: 2015-03-19 17:13 UTC by Jiri Popelka
Modified: 2015-10-21 12:47 UTC (History)
3 users (show)

Fixed In Version: osbs-0.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-23 15:33:52 UTC
ttomecek: fedora-review+
puiterwijk: fedora-cvs+


Attachments (Terms of Use)

Description Jiri Popelka 2015-03-19 17:13:39 UTC
Spec URL: https://jpopelka.fedorapeople.org/osbs.spec
SRPM URL: https://jpopelka.fedorapeople.org/osbs-0.1-2.fc22.src.rpm

Description:
It is able to query OpenShift v3 for various stuff related to building images.
It can initiate builds, list builds, get info about builds, get build logs...
All of this can be done from command line and from python.

Fedora Account System Username: jpopelka

Comment 1 Jiri Popelka 2015-03-19 17:40:42 UTC
Actually I think this needs to be called python-osbs, even it has binary,
the same as for example python-coverage (which also contains binary).

Spec URL: https://jpopelka.fedorapeople.org/python-osbs.spec
SRPM URL: https://jpopelka.fedorapeople.org/python-osbs-0.1-3.fc22.src.rpm

Comment 2 Tomas Tomecek 2015-03-20 07:31:06 UTC
But how about:

 * koji -- binary plus python api
 * fedpkg -- same
 * fedora-review -- same
 * even fedmsg: which I think is primarily a python API, but also a collection
   of executables

With python-coverage, I somewhat get it: it's a tool for measuring test coverage of python code, imagine it would be called just coverage. That would be super confusing.


But if you really think it should be named python-osbs, I'm not gonna be a party pooper.

Comment 3 Jiri Popelka 2015-03-20 08:35:48 UTC
Ok, comparing
rpm -qf /usr/bin/* | grep python
and
rpm -qf /usr/lib/python*/site-packages/* | grep -v python

there really are many more packages which ship python module (/usr/lib/pythonX.Y/site-packages/) but don't have 'python-' prefix
than packages that contain a binary and have 'python-' prefix.

Then please scratch my previous commit and review the first spec & srpm.

Comment 4 Tomas Tomecek 2015-03-20 11:21:35 UTC
This rpmlint warning is already addressed upstream. Therefore I think the review is good to go:

osbs.noarch: W: no-manual-page-for-binary osbs


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 10 files have unknown license. Detailed output of
     licensecheck in /home/ttomecek/tmp/osbs-review/review-
     osbs/licensecheck.txt
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: osbs-0.1-2.fc21.noarch.rpm
          osbs-0.1-2.fc21.src.rpm
osbs.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/osbs/cli/main.py 0644L /usr/bin/python
osbs.noarch: W: no-manual-page-for-binary osbs
2 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
osbs (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)
    python-pycurl
    python-requests



Provides
--------
osbs:
    osbs



Source checksums
----------------
https://github.com/DBuildService/osbs/archive/e073d7cc6cf7a07eafa00e2d44a654a040640390/osbs-e073d7cc6cf7a07eafa00e2d44a654a040640390.tar.gz :
  CHECKSUM(SHA256) this package     : 2b45fb0577ed6e246f39467abbccb3d5cb3384b806b424563fb3fe3ab406b4a7
  CHECKSUM(SHA256) upstream package : 2b45fb0577ed6e246f39467abbccb3d5cb3384b806b424563fb3fe3ab406b4a7


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review -n osbs
Buildroot used: fedora-21-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Jiri Popelka 2015-03-20 11:42:51 UTC
I don't want to nitpick, but

[ ] = Manual review needed

did you go through them ? (I think they are OK, but I'm not reviewer ;-) )

Comment 6 Tomas Tomecek 2015-03-23 09:01:28 UTC
Oh... I actually did, didn't know I should update the status. There we go:

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 10 files have unknown license. Detailed output of
     licensecheck in /home/ttomecek/tmp/osbs-review/review-
     osbs/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.

Comment 7 Jiri Popelka 2015-03-23 09:33:35 UTC
New Package SCM Request
=======================
Package Name: osbs
Short Description: Python module and command line client for OpenShift Build Service
Upstream URL: https://github.com/DBuildService/osbs
Owners: ttomecek jpopelka
Branches: f21 f22 epel7

Comment 8 Gwyn Ciesla 2015-03-23 13:39:00 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2015-03-24 13:50:55 UTC
osbs-0.1-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/osbs-0.1-4.fc22

Comment 11 Fedora Update System 2015-03-24 13:51:58 UTC
osbs-0.1-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/osbs-0.1-4.fc21

Comment 12 Fedora Update System 2015-03-24 13:52:21 UTC
osbs-0.1-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/osbs-0.1-4.el7

Comment 13 Tomas Tomecek 2015-04-02 11:52:02 UTC
Package Change Request
======================
Package Name: osbs
New Branches: el6
Owners: ttomecek jpopelka
InitialCC: ttomecek

We need this for epel 6.

Comment 14 Pavol Babinčák 2015-04-02 12:31:03 UTC
Git done (by process-git-requests).

Comment 15 Tomas Tomecek 2015-04-02 14:28:39 UTC
Package Change Request
======================
Package Name: osbs
New Branches: f20
Owners: ttomecek jpopelka
InitialCC: ttomecek

...and also f20

Comment 16 Patrick Uiterwijk 2015-04-02 14:46:29 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2015-04-08 07:52:15 UTC
osbs-0.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/osbs-0.2-1.fc22

Comment 18 Fedora Update System 2015-04-08 07:53:03 UTC
osbs-0.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/osbs-0.2-1.fc21

Comment 19 Fedora Update System 2015-04-08 15:48:38 UTC
osbs-0.2-2.c1216ba.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/osbs-0.2-2.c1216ba.el6

Comment 20 Fedora Update System 2015-04-08 15:49:50 UTC
osbs-0.2-2.c1216ba.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/osbs-0.2-2.c1216ba.el7

Comment 21 Fedora Update System 2015-04-08 15:49:57 UTC
osbs-0.2-2.c1216ba.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/osbs-0.2-2.c1216ba.fc21

Comment 22 Fedora Update System 2015-04-08 15:51:07 UTC
osbs-0.2-2.c1216ba.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/osbs-0.2-2.c1216ba.fc20

Comment 23 Fedora Update System 2015-04-08 15:52:18 UTC
osbs-0.2-2.c1216ba.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/osbs-0.2-2.c1216ba.fc22

Comment 24 Fedora Update System 2015-04-10 07:33:27 UTC
osbs-0.2-2.c1216ba.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2015-04-15 10:15:37 UTC
osbs-0.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/osbs-0.3-1.fc22

Comment 26 Fedora Update System 2015-04-15 10:15:46 UTC
osbs-0.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/osbs-0.3-1.fc21

Comment 27 Fedora Update System 2015-04-15 10:15:58 UTC
osbs-0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/osbs-0.3-1.fc20

Comment 28 Fedora Update System 2015-04-15 10:16:07 UTC
osbs-0.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/osbs-0.3-1.el6

Comment 29 Fedora Update System 2015-04-15 10:16:17 UTC
osbs-0.3-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/osbs-0.3-1.el7

Comment 30 Fedora Update System 2015-04-21 17:14:23 UTC
osbs-0.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/osbs-0.4-1.el6

Comment 31 Fedora Update System 2015-04-21 17:14:32 UTC
osbs-0.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/osbs-0.4-1.el7

Comment 32 Fedora Update System 2015-04-21 17:14:44 UTC
osbs-0.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/osbs-0.4-1.fc21

Comment 33 Fedora Update System 2015-04-21 17:14:50 UTC
osbs-0.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/osbs-0.4-1.fc20

Comment 34 Fedora Update System 2015-04-21 17:14:57 UTC
osbs-0.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/osbs-0.4-1.fc22

Comment 35 Fedora Update System 2015-04-21 19:10:20 UTC
osbs-0.2-2.c1216ba.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2015-05-08 16:40:23 UTC
osbs-0.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2015-05-08 16:42:21 UTC
osbs-0.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2015-05-10 23:48:11 UTC
osbs-0.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2015-05-10 23:57:53 UTC
osbs-0.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.